#ifndef CONN_ENGINE_POLL_H
#define CONN_ENGINE_POLL_H

#ifdef POLL_FOUND

#include <sys/poll.h>

#include <Conn_engine_core.h>

extern int		Conn_poll_init(void);
extern int		Conn_poll_shutdown(void);
extern int		Conn_poll_grow(unsigned int alloc);
extern int		Conn_poll_add_obj(struct Conn *C);
extern int		Conn_poll_del_obj(struct Conn *C);
extern int		Conn_poll_chg_obj(struct Conn *C);
extern int		Conn_poll_poll(const int timeout2, void (*cb)(const unsigned int slot,
				const int revents));
extern int		Conn_poll_move_slot(const unsigned int dst,
				const unsigned int src);
#endif

#endif
